<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author         pedro.garcia
@modifiedBy     christian.rodriguez
@version        2.0
@description    página en la que se ingresa de forma manual el resultado de una visita para un trámite

OJO:
* nuevoTramiteSolForm es el form de la página en donde se adiciona un trámite nuevo

TRUQUINI:
Si se quiere tener una parte de la página que se muestre o no (es decir, tiene el atributo rendered ligado
a un atributo del MB) dependiendo de alguna acción en un componente, esta sección de la página (representada
con algún componente) debe ir dentro de otro componente que haga las veces de wraper y que siempre sea visible;
este a su vez es el objeto del update del componente que cambia.
EJ: aquí tuve que usar un fieldset -siempre visible- que contiene a un panelgrid que tiene el atributo
rendered. Cuando cambia el valor de un combo se actualiza el fieldset, y esto hace que el panelgrid se
muestre o no.

-->

<h:form 
    id="resultadoVisitaTramiteForm"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">

	<p:messages id="msgsResultadoVisita" showDetail="false"
		globalOnly="false" />

	<p:fieldset>
		<h:panelGrid columns="4" width="100%"
			columnClasses="colMediana,colMediana,colMediana,colMediana">

			<h:outputLabel value="Número de solicitud: "
				styleClass="outputLabelStyle" />
			<h:outputText
				value="#{cargueInfoAlSistema.selectedTramiteCargueInfo.solicitud.numero}"
				styleClass="outputTextStyle" />

			<h:outputLabel value="Fecha de solicitud: "
				styleClass="outputLabelStyle" />
			<h:outputText
				value="#{cargueInfoAlSistema.selectedTramiteCargueInfo.solicitud.fecha}"
				styleClass="outputTextStyle">
				<f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
					type="date" />
			</h:outputText>

			<h:outputLabel value="Número de radicación: "
				styleClass="outputLabelStyle" />
			<h:outputText
				value="#{cargueInfoAlSistema.selectedTramiteCargueInfo.numeroRadicacion}"
				styleClass="outputTextStyle" />

			<h:outputLabel value="Fecha de radicación: "
				styleClass="outputLabelStyle" />
			<h:outputText
				value="#{cargueInfoAlSistema.selectedTramiteCargueInfo.fechaRadicacion}"
				styleClass="outputTextStyle">
				<f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
					type="date" />
			</h:outputText>

			<h:outputLabel value="Tipo de solicitud: "
				styleClass="outputLabelStyle" />
			<h:outputText id="SolicitudTipoV"
				value="#{cargueInfoAlSistema.selectedTramiteCargueInfo.solicitud.tipo}"
				styleClass="outputTextStyle" >
				<f:converter converterId="converterCB" for="SolicitudTipoV" />
			</h:outputText>

			<h:outputLabel value="Tipo de trámite: "
				styleClass="outputLabelStyle" />
			<h:outputText
				value="#{cargueInfoAlSistema.selectedTramiteCargueInfo.tipoTramiteCadenaCompleto}"
				styleClass="outputTextStyle" />
		</h:panelGrid>
        
        <p:spacer height="20" width="0" />
        
		<h:panelGrid columns="2" width="60%" id="inspeccionOcular"
			columnClasses="colMediana,colMediana,colMediana,colMediana">
			<h:outputLabel value="Realizó inspección ocular: "
				styleClass="outputLabelStyle" />
			<h:selectOneMenu id="realizoInspeccionOcularCombo"
				value="#{cargueInfoAlSistema.currentComisionTramite.realizoInspeccionOcular}">
				<f:selectItems value="#{general.siNo}" />
                <p:ajax process="@this" update=":resultadoVisitaTramiteForm:inspeccionOcular, 
                                                :resultadoVisitaTramiteForm" 
                        listener="#{cargueInfoAlSistema.seleccionaInspeccionOcular}"/>
			</h:selectOneMenu>

                
                <h:outputLabel value="Tipo de novedad: "
                               styleClass="outputLabelStyle"                              
                               rendered="#{cargueInfoAlSistema.tipoNovedadHabilitado}"/>
                <h:selectOneMenu id="tipoNovedadCombo"
                    value="#{cargueInfoAlSistema.currentComisionTramite.novedad}"
                    rendered="#{cargueInfoAlSistema.tipoNovedadHabilitado}">
                    <f:selectItem itemLabel="Seleccionar..." itemValue="" />
                    <f:selectItems value="#{general.comisionNovedadV}" />
    			</h:selectOneMenu>
            
            

			<p:spacer rendered="#{!cargueInfoAlSistema.tipoNovedadHabilitado}"  />
			<p:spacer rendered="#{!cargueInfoAlSistema.tipoNovedadHabilitado}"  />

		</h:panelGrid>

		<h:panelGrid columns="2" width="100%">
			<h:outputLabel value="Observaciones: " styleClass="outputLabelStyle" />
			<h:inputTextarea cols="100" rows="4"
				onkeydown="controlarNroChars(this, 2000, true)"
				onkeyup="controlarNroChars(this, 2000, true)"
				label="Observaciones de la visita"
				title="Observaciones de la visita"
				value="#{cargueInfoAlSistema.currentComisionTramite.observaciones}" />
		</h:panelGrid>

	</p:fieldset>

	<p:spacer height="10" width="0" />

	<p:fieldset id="cancelarTramiteFS" rendered="#{!cargueInfoAlSistema.selectedTramiteCargueInfo.cuarta and 
			!cargueInfoAlSistema.selectedTramiteCargueInfo.revisionAvaluo and cargueInfoAlSistema.realizoInspeccionOcular and
            !cargueInfoAlSistema.selectedTramiteCargueInfo.quintaOmitido and
            cargueInfoAlSistema.selectedTramiteCargueInfo.forProcess}">
		<h:panelGrid columns="4" width="100%" id="infoCancelacionTramite"> 

			<h:outputLabel value="Cancelar trámite: "
				styleClass="outputLabelStyle" />
			<h:selectOneMenu id="cancelaTramiteCombo"
                             disabled="#{!cargueInfoAlSistema.habilitarCancelarTramite}"
                             value="#{cargueInfoAlSistema.cancelarTramiteDecision}">
				<f:selectItems value="#{general.no}" />
                <p:ajax process="@this"
                        update=":resultadoVisitaTramiteForm:infoCancelacionTramite, 
                				msgsResultadoVisita, :resultadoVisitaTramiteForm" 
                        listener="#{cargueInfoAlSistema.seleccionaCancelarTramite}"  />
			</h:selectOneMenu>

			<p:spacer height="7" width="0" />

			<h:panelGrid columns="2"
				rendered="#{cargueInfoAlSistema.motivoCancelacionHabilitado}">
				<h:outputLabel value="Motivo de la cancelación: "
					styleClass="outputLabelStyle" />
				<h:inputTextarea cols="80" rows="4" id="textoMotivoCancelacion"
					onkeydown="controlarNroChars(this, 600, true)"
					onkeyup="controlarNroChars(this, 600, true)"
					title="Motivo cancelación trámite"
					value="#{cargueInfoAlSistema.motivoCancelacion}" />
			</h:panelGrid>
			<p:spacer
				rendered="#{!cargueInfoAlSistema.motivoCancelacionHabilitado}"
				width="582" height="10" />
		</h:panelGrid>
	</p:fieldset>

	<p:spacer height="10" width="0" />

	<p:fieldset id="tramitesNuevosFS" 
                rendered="#{!cargueInfoAlSistema.selectedTramiteCargueInfo.quintaOmitido and 
                            cargueInfoAlSistema.realizoInspeccionOcular and 
                            cargueInfoAlSistema.habilitarTramitesAdicionales and
                            cargueInfoAlSistema.selectedTramiteCargueInfo.forProcess}">
		<h:panelGrid columns="2" width="30%">
			<h:outputLabel value="Trámites nuevos adicionales: "
				styleClass="outputLabelStyle" />
			<h:selectOneMenu id="hayNuevosTramitesCombo" immediate="true"
                             disabled="#{cargueInfoAlSistema.banderaTramitesAsociadosDepuracion}"
				value="#{cargueInfoAlSistema.hayNuevosTramites}" required="true">
                            <f:selectItems value="#{general.no}" />
				<p:ajax immediate="true"
					update=":resultadoVisitaTramiteForm:tramitesNuevosFS, msgsResultadoVisita" />
			</h:selectOneMenu>
		</h:panelGrid>
		<h:panelGrid
			rendered="#{cargueInfoAlSistema.nuevosTramitesHabilitado}"
			width="100%" columns="2">

			<p:outputPanel layout="block" style="text-align: left">
				<p:commandButton value="Adicionar trámite nuevo" icon="ui-icon-plus"
                                 disabled="#{cargueInfoAlSistema.banderaTramitesAsociadosDepuracion}"
					action="#{cargueInfoAlSistema.adicionarTramiteNuevo}"
					oncomplete="adicionarTramiteTramiteWV.show()"
					update="tramitesNuevosDT, :nuevoTramiteSolForm, msgsResultadoVisita"
					process="@this, textoMotivoCancelacion">
				</p:commandButton>
			</p:outputPanel>

			<p:spacer height="30" width="0" />

			<p:dataTable value="#{cargueInfoAlSistema.tramiteTramites}"
				var="tramiteNuevoCargueInfo" id="tramitesNuevosDT" paginator="true"
				rows="5"
				paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
				paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
				emptyMessage="No se encontraron trámites">

				<p:column headerText="Opciones">
					<p:commandButton title="Ver detalle del trámite"
						oncomplete="detalleTramiteEjecutarWV.show();" process="@this"
						ajax="true" icon="ui-icon ui-icon-search"
						update=":detalleTramiteEjecutarForm">
						<f:setPropertyActionListener value="#{tramiteNuevoCargueInfo}"
							target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
					</p:commandButton>
					<p:spacer width="10" height="0" />
					<p:commandButton title="Eliminar trámite nuevo"
						action="#{cargueInfoAlSistema.removerTramiteDeTramiteTramites}"
						immediate="true" ajax="true" icon="ui-icon ui-icon-trash"
						update=":resultadoVisitaTramiteForm:tramitesNuevosFS">
						<f:setPropertyActionListener value="#{tramiteNuevoCargueInfo}"
							target="#{cargueInfoAlSistema.tramiteTramiteSeleccionado}"/>
					</p:commandButton>
				</p:column>

				<p:column headerText="Tipo de trámite">
					<h:outputText value="#{tramiteNuevoCargueInfo.tipoTramite}"
						id="TramiteTipoTramiteV" styleClass="outputTextStyle">
						<f:converter converterId="converterCB" for="TramiteTipoTramiteV" />
					</h:outputText>
					<p:spacer width="5" height="0" />
					<h:outputText value="#{tramiteNuevoCargueInfo.claseMutacion}"
						id="MutacionClase" styleClass="outputTextStyle">
						<f:converter converterId="converterCB" for="MutacionClase" />
					</h:outputText>
					<p:spacer width="5" height="0" />
					<h:outputText value="#{tramiteNuevoCargueInfo.subtipo}"
						id="SubtipoMutacionSClase" styleClass="outputTextStyle"
						rendered="#{tramiteNuevoCargueInfo.claseMutacion eq '2'}">
						<f:converter converterId="converterCB" for="SubtipoMutacionSClase" />
					</h:outputText>
					<p:spacer width="5" height="0" />
					<h:outputText value="#{tramiteNuevoCargueInfo.subtipo}"
						id="SubtipoMutacionQClase" styleClass="outputTextStyle"
						rendered="#{tramiteNuevoCargueInfo.claseMutacion eq '5'}">
						<f:converter converterId="converterCB" for="SubtipoMutacionQClase" />
					</h:outputText>
				</p:column>

				<p:column headerText="Orden de ejecución">
					<h:selectOneMenu id="ordenSelect"
						label="Orden de ejecución de trámites"
						value="#{tramiteNuevoCargueInfo.ordenEjecucion}">
						<f:selectItems
							value="#{cargueInfoAlSistema.ordenEjecucionTramites}" />
						<p:ajax immediate="false" update="tramitesNuevosDT" />
					</h:selectOneMenu>
				</p:column>



			</p:dataTable>


		</h:panelGrid>

	</p:fieldset>

    
    <p:spacer height="10" width="0" />
    
    
	<p:outputPanel layout="block" >
		<h:panelGrid columns="2" id="btnsPanelGrd">
			<p:commandButton value="Guardar resultado de la visita"
				ajax="true" 
                oncomplete="confirmacionGuardarResultadoVisitaWV.show()"
                icon="ui-icon-disk" 
                title="Guardar resultado de la visita y crear los trámites nuevos asociados (si los hay)"/>
			<p:commandButton value="Avanzar proceso" 
                disabled="#{!cargueInfoAlSistema.guardadoFlag}"
				update="msgsResultadoVisita" ajax="true"				
				oncomplete="confirmacionAvanceProcesoCargueInfoSNCWV.show()"
				icon="ui-icon-seek-next" title="Acepta todas las modificaciones"/>		
		</h:panelGrid>
	</p:outputPanel>
    
    
    <p:spacer height="10" width="0" />
    
    <p:outputPanel layout="block" style="text-align: right">
        <p:commandButton value="Cerrar"
                         icon="ui-icon-close"
                         onclick="window.hide();" />
    </p:outputPanel>
        

</h:form>
